### A free/open-source library for quantitative finance

Classes | Public Member Functions | Protected Member Functions
ExtendedCoxIngersollRoss Class Reference
Short-rate modelling framework

Extended Cox-Ingersoll-Ross model class. More...

`#include <ql/models/shortrate/onefactormodels/extendedcoxingersollross.hpp>`

Inheritance diagram for ExtendedCoxIngersollRoss:
[legend]

List of all members.

## Classes

class | Dynamics
| Short-rate dynamics in the extended Cox-Ingersoll-Ross model. More...
class | FittingParameter
| Analytical term-structure fitting parameter . More...

## Public Member Functions

| ExtendedCoxIngersollRoss (const Handle< YieldTermStructure > &termStructure, Real theta=0.1, Real k=0.1, Real sigma=0.1, Real x0=0.05)
boost::shared_ptr< Lattice > | tree (const TimeGrid &grid) const
| Return by default a trinomial recombining tree.
boost::shared_ptr < ShortRateDynamics > | dynamics () const
| returns the short-rate dynamics
Real | discountBondOption (Option::Type type, Real strike, Time maturity, Time bondMaturity) const

## Protected Member Functions

void | generateArguments ()
Real | A (Time t, Time T) const

## Detailed Description

Extended Cox-Ingersoll-Ross model class.

This class implements the extended Cox-Ingersoll-Ross model defined by

Bug:
  this class was not tested enough to guarantee its functionality.